void mouseClicked(){
  
  // CHECK IF CHANNELS HAVE BEEN CLICKED
  for (int i = 0; i < channels.length; i++) {
    if(mouseX > channelObjects[i].xpos+transX-(channelObjects[i].r2/2)) {
        if (mouseX < channelObjects[i].xpos+transX+(channelObjects[i].r2/2)){
          if(mouseY > channelObjects[i].ypos+transY-(channelObjects[i].r2/2)){
            if (mouseY < channelObjects[i].ypos+transY+(channelObjects[i].r2/2)){
              for (int k = 0; k < channels.length; k++) {
                //if any channels are reversed, change them back
                channelObjects[k].reverse = false;
              }
              if (anyClicked == true) { // if channel details are displayed, close out that channel before opening next
                cConnectString.clear(); // clear connection strings
                for (int k = 0; k < channels.length; k++) {
                  if (channelObjects[k].ifClicked == true) { // check for the clicked channel
                    channelObjects[k].disable();
                    for (int n = 0; n < connectionLines.size(); n++){ // restore connections
                      Connection connection = connectionLines.get(n);
                           connection.showConnection = true;
                           fill(#ffffff);
                           ellipse(transX, transY, radius, radius); // circle to hide returning connections
                    }
                    fill(#ffffff);
                    ellipse(transX, transY, radius, radius); // circle to hide returning connections
                    channelObjects[i].onClick();
                    channelObjects[i].ifClicked = true;
                  }
                }
              }
              if (anyClicked == false) { // if channel details aren't displayed
                channelObjects[i].onClick();
                channelObjects[i].ifClicked = true;
              }  
            } else {}
          } else {}
        } else {}
        } else {}
    
  }
  
  // check if returnBtn has been clicked
  for (int i = 0; i < channels.length; i++){
    float distX = sq((channelObjects[i].returnBtn.x+transX) - mouseX);
    float distY = sq((channelObjects[i].returnBtn.y+transY) - mouseY);
    if ((distX + distY) <= sq(channelObjects[i].returnBtn.d/2)){
     // close out current channel 
     cConnectString.clear(); // clear connection strings
     if (channelObjects[i].ifClicked == true) { // check for the clicked channel
       channelObjects[i].disable();
       for (int n = 0; n < connectionLines.size(); n++){ // restore connections
         Connection connection = connectionLines.get(n);
         connection.showConnection = true;
       }
       channelObjects[i].ifClicked = false;
       anyClicked = false;
     }
     // move title back
     moveTitle = true;
    }
    
  }
     
    // check if most watched button was clicked
    // rect(mostWatchedX, mostWatchedY, 140, 80, 10);
    for (int i = 0; i < channels.length; i++){
      if (mouseX > channelObjects[i].mostWatchedX+transX) {
        if (mouseX < channelObjects[i].mostWatchedX+140+transX) {
          if (mouseY > channelObjects[i].mostWatchedY+transY){
            if (mouseY < channelObjects[i].mostWatchedY+80+transY){
              link(channelObjects[i].URL);
            }
          }
        }
      }
    
    }
    
    // check if connection legend was clicked
    if (instructions.tierAllOn == true) { // show all connections
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         connection.showConnection = true;
       }
       for (int n=0; n < channels.length; n++) {
          channelObjects[n].reverse = false;
      }
    }
    if (instructions.tier1On == true) { // show tier 1 connections
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         if (connection.tier == 1) {
           connection.showConnection = true;
         } else {
           connection.showConnection = false;
         }
       }
       for (int n=0; n < channels.length; n++) {
          channelObjects[n].reverse = false;
      }
    }
    if (instructions.tier2On == true) { // show tier 2 connections
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         if (connection.tier == 2) {
           connection.showConnection = true;
         } else {
           connection.showConnection = false;
         }
       }
       for (int n=0; n < channels.length; n++) {
          channelObjects[n].reverse = false;
      }
    }
    if (instructions.catAll.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         connection.showConnection = true;
       }
       for (int n=0; n < channels.length; n++) {
          channelObjects[n].reverse = false;
      }
    }
    if (instructions.catVlog.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         for (int i = 0; i < channels.length; i++) {
           if (channelObjects[connection.person1].c == vlogC || channelObjects[connection.person2].c == vlogC) {
             connection.showConnection = true;
           } else {
             connection.showConnection = false;
           }
         }
       }
       for (int n=0; n < channels.length; n++) {
        if (channelObjects[n].c == vlogC) {
          channelObjects[n].reverse = false;
        } else {
          channelObjects[n].reverse = true;
        }
      }
    }
    if (instructions.catCooking.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         for (int i = 0; i < channels.length; i++) {
           if (channelObjects[connection.person1].c == cookingC || channelObjects[connection.person2].c == cookingC) {
             connection.showConnection = true;
           } else {
             connection.showConnection = false;
           }
         }
       }
       for (int n=0; n < channels.length; n++) {
        if (channelObjects[n].c == cookingC) {
          channelObjects[n].reverse = false;
        } else {
          channelObjects[n].reverse = true;
        }
      }
    }
    if (instructions.catGamer.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         for (int i = 0; i < channels.length; i++) {
           if (channelObjects[connection.person1].c == gamerC || channelObjects[connection.person2].c == gamerC) {
             connection.showConnection = true;
           } else {
             connection.showConnection = false;
           }
         }
       }
       for (int n=0; n < channels.length; n++) {
        if (channelObjects[n].c == gamerC) {
          channelObjects[n].reverse = false;
        } else {
          channelObjects[n].reverse = true;
        }
      }
    }
    if (instructions.catMusic.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         for (int i = 0; i < channels.length; i++) {
           if (channelObjects[connection.person1].c == musicC || channelObjects[connection.person2].c == musicC) {
             connection.showConnection = true;
           } else {
             connection.showConnection = false;
           }
         }
       }
       for (int n=0; n < channels.length; n++) {
        if (channelObjects[n].c == musicC) {
          channelObjects[n].reverse = false;
        } else {
          channelObjects[n].reverse = true;
        }
      }
    }
    if (instructions.catDance.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         for (int i = 0; i < channels.length; i++) {
           if (channelObjects[connection.person1].c == danceC || channelObjects[connection.person2].c == danceC) {
             connection.showConnection = true;
           } else {
             connection.showConnection = false;
           }
         }
       }
       for (int n=0; n < channels.length; n++) {
        if (channelObjects[n].c == danceC) {
          channelObjects[n].reverse = false;
        } else {
          channelObjects[n].reverse = true;
        }
      }
    }
    if (instructions.catEnt.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         for (int i = 0; i < channels.length; i++) {
           if (channelObjects[connection.person1].c == entC || channelObjects[connection.person2].c == entC) {
             connection.showConnection = true;
           } else {
             connection.showConnection = false;
           }
         
         }
       }
       for (int n=0; n < channels.length; n++) {
        if (channelObjects[n].c == entC) {
          channelObjects[n].reverse = false;
        } else {
          channelObjects[n].reverse = true;
        }
      }
    }
    if (instructions.catOther.catOn == true) {
      for (int n = 0; n < connectionLines.size(); n++){ 
         Connection connection = connectionLines.get(n);
         for (int i = 0; i < channels.length; i++) {
           if (channelObjects[connection.person1].c == otherC || channelObjects[connection.person2].c == otherC) {
             connection.showConnection = true;
           } else {
             connection.showConnection = false;
           }
         
         }
       }
       for (int n=0; n < channels.length; n++) {
        if (channelObjects[n].c == otherC) {
          channelObjects[n].reverse = false;
        } else {
          channelObjects[n].reverse = true;
        }
      }
    }
    //check for rewind button
    if (instructions.rewindOn == true) {
      link("http://www.youtube.com/watch?v=H7jtC8vjXw8");
    }
    
     
}
